use gtk4 as gtk;

use gtk::prelude::*;

mod controller;
mod model;
mod view;

use controller::*;
use view::view::*;

#[tokio::main]
async fn main() {
    let app: adw::Application = adw::Application::builder()
        .application_id("com.github.gtk-rs.examples.basic")
        .build();

    app.connect_activate(ui);
    app.run();
}
